<?php
require_once './metier/user.php';
require_once './dao/user_dao.php';
require_once "dao/bdd.php";


//Tentative de connexion
//On parse les données
$login = $_POST["login"];
$password = $_POST["mdp"];

//On charge les données
$user = new user($login);

//Si aucun utilisateur n'a été trouvé, on n'a pas besoin de se connecter
if (($user->isNull()) || (md5($password) != $user->getPassword()))
    {
    header("Location: index.php");
    } else
    {
    //On enregistre les données
    $_SESSION["user"] = $user;

    //On affiche la pages
    ?>
    <h1>
        Connexion
    </h1>
    <p class="center_item">
        Connexion en cours, veuillez patienter...
    </p>

    <?php
    //Redirection vers la page d'accueil
    header("Refresh: 0; URL=index.php");
    }
?>